# Class CountScaler

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.CountScaler

public class CountScaler extends Object
Scales integer count values according to a supplied Scaler object.

Since:
  26 Jan 2015
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CountScaler(Scaler scaler, int maxOut)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`scaleCount(int count)`
Scales in input whole number to an output whole number.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CountScaler

public CountScaler(Scaler scaler, int maxOut)
Constructor.

Parameters:
  `scaler` - provides basic scaling behaviour
  `maxOut` - defines output value range 0..maxOut

## Method Details

### scaleCount

public int scaleCount(int count)
Scales in input whole number to an output whole number. Zero maps to zero, other values map according to this object's Scaler.

Parameters:
  `count` - unscaled value, in range 0..maxIn
Returns:
  scaled count, in range 0..maxOut